summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/rt/files/3.4.5/reconfig')
-rw-r--r--www-apps/rt/files/3.4.5/reconfig37
1 files changed, 37 insertions, 0 deletions
diff --git a/www-apps/rt/files/3.4.5/reconfig b/www-apps/rt/files/3.4.5/reconfig
new file mode 100644
index 000000000000..6830548da6e8
--- /dev/null
+++ b/www-apps/rt/files/3.4.5/reconfig
@@ -0,0 +1,37 @@
+#!/bin/bash
+PF=${PN}-${PVR}
+
+die() {
+ echo "#####"
+ echo $1
+ echo "#####"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ # fix location
+ cd ${VHOST_ROOT}/${PF}
+ sed -e "s|${MY_HOSTROOTDIR}/${PF}|${VHOST_ROOT}/${PF}|g
+ s|${MY_HTDOCSDIR}|${MY_INSTALLDIR}|g" -i bin/* lib/RT.pm sbin/* etc/RT_Config.pm || die
+
+ sed -e "s|RT_DIR|${VHOST_ROOT}/${PF}|g
+ s|HTDOCS|${MY_INSTALLDIR}|g" -i ${VHOST_ROOT}/${PF}/etc/rt_apache* || die
+
+ # check for upgrades
+ cd ${VHOST_ROOT}/${PF}/upgrade
+ echo "You may need to update your database."
+ echo "For each item in the output below"
+ echo "whose name is greater than your previously installed RT version,"
+ echo "rt-setup-database --action schema --datadir ${VHOST_ROOT}/${PF}/upgrade/<version>"
+ echo "rt-setup-database --action acl --datadir ${VHOST_ROOT}/${PF}/upgrade/<version>"
+ echo "rt-setup-database --action insert --datadir ${VHOST_ROOT}/${PF}/upgrade/<version>"
+ echo "Don't forget to read the online installation guide for more details"
+ ls
+
+elif [ $1 = "clean" ]; then
+ echo "Please examine the contents of the following directories"
+ echo "and delete anything that is no longer necessary"
+ echo
+ echo ${VHOST_ROOT}/${PF}
+ echo ${MY_INSTALLDIR}
+fi